Index: issm/trunk/externalpackages/export_fig/export_fig.m
===================================================================
--- issm/trunk/externalpackages/export_fig/export_fig.m	(revision 19105)
+++ issm/trunk/externalpackages/export_fig/export_fig.m	(revision 21341)
@@ -1,10 +1,12 @@
-%EXPORT_FIG  Exports figures suitable for publication
+function [imageData, alpha] = export_fig(varargin)
+%EXPORT_FIG  Exports figures in a publication-quality format
 %
 % Examples:
-%   im = export_fig
-%   [im alpha] = export_fig
+%   imageData = export_fig
+%   [imageData, alpha] = export_fig
 %   export_fig filename
 %   export_fig filename -format1 -format2
 %   export_fig ... -nocrop
+%   export_fig ... -c[<val>,<val>,<val>,<val>]
 %   export_fig ... -transparent
 %   export_fig ... -native
@@ -14,13 +16,18 @@
 %   export_fig ... -q<val>
 %   export_fig ... -p<val>
+%   export_fig ... -d<gs_option>
+%   export_fig ... -depsc
 %   export_fig ... -<renderer>
 %   export_fig ... -<colorspace>
 %   export_fig ... -append
 %   export_fig ... -bookmark
+%   export_fig ... -clipboard
+%   export_fig ... -update
+%   export_fig ... -nofontswap
 %   export_fig(..., handle)
 %
 % This function saves a figure or single axes to one or more vector and/or
-% bitmap file formats, and/or outputs a rasterized version to the
-% workspace, with the following properties:
+% bitmap file formats, and/or outputs a rasterized version to the workspace,
+% with the following properties:
 %   - Figure/axes reproduced as it appears on screen
 %   - Cropped borders (optional)
@@ -29,12 +36,12 @@
 %   - Anti-aliased graphics (bitmap formats)
 %   - Render images at native resolution (optional for bitmap formats)
-%   - Transparent background supported (pdf, eps, png)
-%   - Semi-transparent patch objects supported (png only)
+%   - Transparent background supported (pdf, eps, png, tif)
+%   - Semi-transparent patch objects supported (png & tif only)
 %   - RGB, CMYK or grayscale output (CMYK only with pdf, eps, tiff)
 %   - Variable image compression, including lossless (pdf, eps, jpg)
 %   - Optionally append to file (pdf, tiff)
 %   - Vector formats: pdf, eps
-%   - Bitmap formats: png, tiff, jpg, bmp, export to workspace 
-%   
+%   - Bitmap formats: png, tiff, jpg, bmp, export to workspace
+%
 % This function is especially suited to exporting figures for use in
 % publications and presentations, because of the high quality and
@@ -46,13 +53,12 @@
 % objects), use the -transparent option or set the figure 'Color' property
 % to 'none'. To make axes transparent set the axes 'Color' property to
-% 'none'. Pdf, eps and png are the only file formats to support a
-% transparent background, whilst the png format alone supports transparency
-% of patch objects.
+% 'none'. PDF, EPS, TIF & PNG are the only formats that support a transparent
+% background; only TIF & PNG formats support transparency of patch objects.
 %
 % The choice of renderer (opengl, zbuffer or painters) has a large impact
-% on the quality of output. Whilst the default value (opengl for bitmaps,
-% painters for vector formats) generally gives good results, if you aren't
-% satisfied then try another renderer.  Notes: 1) For vector formats (eps,
-% pdf), only painters generates vector graphics. 2) For bitmaps, only
+% on the quality of output. The default value (opengl for bitmaps, painters
+% for vector formats) generally gives good results, but if you aren't
+% satisfied then try another renderer.  Notes: 1) For vector formats (EPS,
+% PDF), only painters generates vector graphics. 2) For bitmaps, only
 % opengl can render transparent patch objects correctly. 3) For bitmaps,
 % only painters will correctly scale line dash and dot lengths when
@@ -60,5 +66,5 @@
 % using painters.
 %
-% When exporting to vector format (pdf & eps) and bitmap format using the
+% When exporting to vector format (PDF & EPS) and bitmap format using the
 % painters renderer, this function requires that ghostscript is installed
 % on your system. You can download this from:
@@ -68,5 +74,5 @@
 %   http://www.foolabs.com/xpdf
 %
-%IN:
+% Inputs:
 %   filename - string containing the name (optionally including full or
 %              relative path) of the file the figure is to be saved as. If
@@ -83,9 +89,13 @@
 %   -nocrop - option indicating that the borders of the output are not to
 %             be cropped.
+%   -c[<val>,<val>,<val>,<val>] - option indicating crop amounts. Must be
+%             a 4-element vector of numeric values: [top,right,bottom,left]
+%             where NaN/Inf indicate auto-cropping, 0 means no cropping,
+%             and any other value mean cropping in pixel amounts.
 %   -transparent - option indicating that the figure background is to be
-%                  made transparent (png, pdf and eps output only).
+%                  made transparent (png, pdf, tif and eps output only).
 %   -m<val> - option where val indicates the factor to magnify the
 %             on-screen figure pixel dimensions by when generating bitmap
-%             outputs. Default: '-m1'.
+%             outputs (does not affect vector formats). Default: '-m1'.
 %   -r<val> - option val indicates the resolution (in pixels per inch) to
 %             export bitmap and vector outputs at, keeping the dimensions
@@ -106,7 +116,8 @@
 %                        use for bitmap outputs. '-a1' means no anti-
 %                        aliasing; '-a4' is the maximum amount (default).
-%   -<renderer> - option to force a particular renderer (painters, opengl
-%                 or zbuffer) to be used over the default: opengl for
-%                 bitmaps; painters for vector formats.
+%   -<renderer> - option to force a particular renderer (painters, opengl or
+%                 zbuffer). Default value: opengl for bitmap formats or
+%                 figures with patches and/or transparent annotations;
+%                 painters for vector formats without patches/transparencies.
 %   -<colorspace> - option indicating which colorspace color figures should
 %                   be saved in: RGB (default), CMYK or gray. CMYK is only
@@ -119,7 +130,11 @@
 %             sometimes give a smaller file size than the default lossy
 %             compression, depending on the type of images.
-%   -p<val> - option to add a border of width val to eps and pdf files,
-%             where val is in units of the intermediate eps file. Default:
-%             0 (i.e. no padding).
+%   -p<val> - option to pad a border of width val to exported files, where
+%             val is either a relative size with respect to cropped image
+%             size (i.e. p=0.01 adds a 1% border). For EPS & PDF formats,
+%             val can also be integer in units of 1/72" points (abs(val)>1).
+%             val can be positive (padding) or negative (extra cropping).
+%             If used, the -nocrop flag will be ignored, i.e. the image will
+%             always be cropped and then padded. Default: 0 (i.e. no padding).
 %   -append - option indicating that if the file (pdfs only) already
 %             exists, the figure is to be appended as a new page, instead
@@ -127,19 +142,31 @@
 %   -bookmark - option to indicate that a bookmark with the name of the
 %               figure is to be created in the output file (pdf only).
-%   handle - The handle of the figure, axes or uipanels (can be an array of
-%            handles, but the objects must be in the same figure) to be
-%            saved. Default: gcf.
+%   -clipboard - option to save output as an image on the system clipboard.
+%                Note: background transparency is not preserved in clipboard
+%   -d<gs_option> - option to indicate a ghostscript setting. For example,
+%                   -dMaxBitmap=0 or -dNoOutputFonts (Ghostscript 9.15+).
+%   -depsc -  option to use EPS level-3 rather than the default level-2 print
+%             device. This solves some bugs with Matlab's default -depsc2 device
+%             such as discolored subplot lines on images (vector formats only).
+%   -update - option to download and install the latest version of export_fig
+%   -nofontswap - option to avoid font swapping. Font swapping is automatically
+%             done in vector formats (only): 11 standard Matlab fonts are
+%             replaced by the original figure fonts. This option prevents this.
+%   handle -  The handle of the figure, axes or uipanels (can be an array of
+%             handles, but the objects must be in the same figure) to be
+%             saved. Default: gcf.
 %
-%OUT:
-%   im - MxNxC uint8 image array of the figure.
-%   alpha - MxN single array of alphamatte values in range [0,1], for the
-%           case when the background is transparent.
+% Outputs:
+%   imageData - MxNxC uint8 image array of the exported image.
+%   alpha     - MxN single array of alphamatte values in the range [0,1],
+%               for the case when the background is transparent.
 %
 %   Some helpful examples and tips can be found at:
-%      https://github.com/ojwoodford/export_fig
+%      https://github.com/altmany/export_fig
 %
-%   See also PRINT, SAVEAS.
-
-% Copyright (C) Oliver Woodford 2008-2014
+%   See also PRINT, SAVEAS, ScreenCapture (on the Matlab File Exchange)
+
+%{
+% Copyright (C) Oliver Woodford 2008-2014, Yair Altman 2015-
 
 % The idea of using ghostscript is inspired by Peder Axensten's SAVEFIG
